<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@0C22B7=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@0C6DE8=03E8</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@241307=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shuriken PL1">
    <script state="run">
      <action>maincpu.pb@241321=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="on">
      <action>temp0 =maincpu.mb@00706C</action>
    </script>
    <script state="run">
      <action>maincpu.mb@00706C=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@00706C=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@241387=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shuriken PL2">
    <script state="run">
      <action>maincpu.pb@2413A1=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="on">
      <action>temp0 =maincpu.mb@007280</action>
    </script>
    <script state="run">
      <action>maincpu.mb@007280=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@007280=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
